Bug 28198 - xemacs fails to validate HTML
xemacs fails to validate HTML
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openjade (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
:
: 28199 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-17 19:07 EST by David Woodhouse
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2001-02-17 19:07:50 EST
Run 'xemacs newfile.html'. Enter a title when prompted. Save.
Hit C-c C-v to validate it. Observe that it fails as shown below.
As xemacs is attempting to use its own CATALOG file I think I'm right in
filing this against xemacs instead of against openjade.


nsgmls -s -m /usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG
/usr/lib/xemacs/xemacs-packages/etc/psgml/html.decl newfile.html
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:101:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:102:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:103:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:109:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:110:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:111:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:117:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:118:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:119:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:131:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:147:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:148:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/CATALOG:149:0:W: DTDDECL
catalog entries are not supported
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:24:27:E:
"402" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:28:27:E:
"913" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:29:27:E:
"914" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:30:27:E:
"915" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:32:27:E:
"916" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:34:27:E:
"917" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:35:27:E:
"918" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:36:27:E:
"919" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:37:27:E:
"920"is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:39:27:E:
"921" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:40:27:E:
"922" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:41:27:E:
"923" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:43:27:E:
"924" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:44:27:E:
"925" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:45:27:E:
"926" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:46:27:E:
"927" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:47:27:E:
"928" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:48:27:E:
"929" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:50:27:E:
"931" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:52:27:E:
"932" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:53:27:E:
"933" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:55:27:E:
"934" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:57:27:E:
"935" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:58:27:E:
"936" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:60:27:E:
"937" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:63:27:E:
"945" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:65:27:E:
"946" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:66:27:E:
"947" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:68:27:E:
"948" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:70:27:E:
"949" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:72:27:E:
"950" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:73:27:E:
"951" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:74:27:E:
"952" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:76:27:E:
"953" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:77:27:E:
"954" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:79:27:E:
"955" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:81:27:E:
"956" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:82:27:E:
"957" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:83:27:E:
"958" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:84:27:E:
"959" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:85:27:E:
"960" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:86:27:E:
"961" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:87:27:E:
"962" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:89:27:E:
"963" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:91:27:E:
"964" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:92:27:E:
"965" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:94:27:E:
"966" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:95:27:E:
"967" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:96:27:E:
"968" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:97:27:E:
"969" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:99:27:E:
"977" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:101:27:E:
"978" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:103:27:E:
"982" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:106:27:E:
"8226" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:109:27:E:
"8230" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:111:27:E:
"8242" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:112:27:E:
"8243" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:114:27:E:
"8254" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:116:27:E:
"8260" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:119:27:E:
"8472" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:121:27:E:
"8465" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:123:27:E:
"8476" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:125:27:E:
"8482" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:126:27:E:
"8501" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:132:27:E:
"8592" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:133:27:E:
"8593" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:134:27:E:
"8594" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:135:27:E:
"8595" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:136:27:E:
"8596" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:137:27:E:
"8629" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:139:27:E:
"8656" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:143:27:E:
"8657" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:144:27:E:
"8658" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:149:27:E:
"8659" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:150:27:E:
"8660" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:154:27:E:
"8704" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:155:27:E:
"8706" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:156:27:E:
"8707" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:157:27:E:
"8709" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:159:27:E:
"8711" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:161:27:E:
"8712" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:162:27:E:
"8713" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:163:27:E:
"8715" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:165:27:E:
"8719" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:169:27:E:
"8721" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:172:27:E:
"8722" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:173:27:E:
"8727" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:174:27:E:
"8730" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:176:27:E:
"8733" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:177:27:E:
"8734" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:178:27:E:
"8736" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:179:27:E:
"8743" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:180:27:E:
"8744" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:181:27:E:
"8745" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:182:27:E:
"8746" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:183:27:E:
"8747" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:184:27:E:
"8756" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:185:27:E:
"8764" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:189:27:E:
"8773" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:190:27:E:
"8776" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:192:27:E:
"8800" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:193:27:E:
"8801" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:194:27:E:
"8804" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:195:27:E:
"8805" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:197:27:E:
"8834" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:198:27:E:
"8835" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:202:27:E:
"8836" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:203:27:E:
"8838" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:204:27:E:
"8839" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:206:27:E:
"8853" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:208:27:E:
"8855" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:210:27:E:
"8869" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:212:27:E:
"8901" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:216:27:E:
"8968" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:218:27:E:
"8969" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:219:27:E:
"8970" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:221:27:E:
"8971" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:222:27:E:
"9001" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:226:27:E:
"9002" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:232:27:E:
"9674" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:235:27:E:
"9824" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:237:27:E:
"9827" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:239:27:E:
"9829" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLsymbol.ent:241:27:E:
"9830" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:31:26:E:
"338" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:33:26:E:
"339" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:35:26:E:
"352" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:37:26:E:
"353" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:39:26:E:
"376" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:43:26:E:
"710" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:45:26:E:
"732" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:48:26:E:
"8194" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:49:26:E:
"8195" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:50:26:E:
"8201" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:51:26:E:
"8204" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:53:26:E:
"8205" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:54:26:E:
"8206" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:55:26:E:
"8207" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:56:26:E:
"8211" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:57:26:E:
"8212" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:58:26:E:
"8216" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:60:26:E:
"8217" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:62:26:E:
"8218" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:63:26:E:
"8220" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:65:26:E:
"8221" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:67:26:E:
"8222" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:68:26:E:
"8224" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:69:26:E:
"8225" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:70:26:E:
"8240" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:71:26:E:
"8249" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:74:26:E:
"8250" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/HTMLspecial.ent:77:25:E:
"8364" is not a character number in the document character set
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/html-4.01l.dtd:226:45:Q:
length of interpreted parameter literal must not exceed LITLEN (1024)
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/html-4.01l.dtd:487:2:Q:
number of attribute names and name tokens (41) exceeds ATTCNT (40)
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/html-4.01l.dtd:714:2:Q:
number of attribute names and name tokens (57) exceeds ATTCNT (40)
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/html-4.01l.dtd:865:2:Q:
number of attribute names and name tokens (45) exceeds ATTCNT (40)
nsgmls:/usr/lib/xemacs/xemacs-packages/etc/psgml/html-4.01l.dtd:950:2:Q:
number of attribute names and name tokens (46) exceeds ATTCNT (40)

SGML validation exited abnormally with code 1 at Sun Feb 18 00:05:05
Comment 1 Bill Nottingham 2001-02-17 22:22:30 EST
*** Bug 28199 has been marked as a duplicate of this bug. ***
Comment 2 Trond Eivind Glomsrxd 2001-02-19 10:25:12 EST
Hmm... Tim, the paths in the psgml-init.el are bogus (I just copy them for the
xemacs build. It would probably be better if
/usr/lib/xemacs/xemacs-packages/lisp/site-start.d/psgml-init.el was added to the
psgml package). If you give me the correct paths, I can fix the packages.
Comment 3 Tim Waugh 2001-02-19 12:31:41 EST
Use /etc/sgml/catalog.  The search path that psgml-init.el from the psgml
package is using is:

"CATALOG" "catalog" "/etc/sgml/catalog" "/usr/lib/sgml/CATALOG"
"/usr/lib/sgml-tools/dtd/catalog"
Comment 4 Trond Eivind Glomsrxd 2001-02-20 20:21:19 EST
It starts working when removing the first two....   at which point I start
getting this:

External entity ISOlat1 not found
  Public identifier ISO 8879-1986//ENTITIES Added Latin 1//EN

How do you configure the path to entities?
Comment 5 Tim Waugh 2001-02-21 06:20:18 EST
Huh?  It works for me.  Which catalog is it actually using? (I use strace to 
find that out, but maybe there's an easier way.)  How can I repeat the problem 
you're seeing?

I'm testing with selfdocbook.sgml from people.redhat.com/twaugh/docbook/.
Comment 6 Trond Eivind Glomsrxd 2001-02-21 17:45:49 EST
Load "foo.html" (from my home directory) in xemacs and emacs, start sgml mode
and try validating.
Comment 7 Tim Waugh 2001-02-22 05:59:08 EST
Oh, *HTML*!  Sorry, I misread as SGML.

I can't even get this to work under Guinness.  I'm thick; please tell me
keystrokes.  I'm trying this:

$ xemacs foo.html
C-c C-v RET
(fails with 'cannot open "...ISOlat1.ent"')

$ xemacs foo.html
M-x s g m l - m o d e RET
C-c C-v RET
(same thing)

What should I be typing instead?
Comment 8 Trond Eivind Glomsrxd 2001-02-22 12:49:34 EST
The first one would be nice to fix as well :)

Try validating from the menubar.
Comment 9 Tim Waugh 2001-02-22 13:16:36 EST
First what?

I want to understand if this is a regression from Guinness, or if it's something
that's never worked before but should.  I suspect it's the latter---is that
correct?
Comment 10 David Woodhouse 2001-02-22 13:19:31 EST
It definitely worked for me in Red Hat 5.2. I don't remember whether it broke
with 6.0 or 7.0.
Comment 11 Tim Waugh 2001-02-22 13:30:20 EST
If it's any consolation, it's broken for emacs (and hence the 'psgml' package)
too.

I'll check out what 5.2 did.
Comment 12 Tim Waugh 2001-02-23 09:48:01 EST
Okay, xemacs in 5.2 'worked' because it didn't create HTML 4.0 documents. 
Instead it created "-//IETF//DTD HTML//EN", and validating those documents still
works in later versions (give or take the DTDDECL warning messages).

It's the HTMLsymbol bits in HTML 4.0 (and onwards) DTDs that are upsetting
something here.  See also bug 9753: Trond, that last comment looks like a
related xemacs bug.

I still don't know where the bug actually is though: nsgmls, psgml, catalog
layout, xemacs and emacs, ...

(I guess we should make some html-dtdxx-sgml packages actually, so that these
DTDs end up in /usr/share/sgml and are accessible by both emacs and xemacs.)
Comment 13 David Woodhouse 2001-02-23 09:50:36 EST
Not just HTML4. xemacs in 7.0 fails to validate 
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 3.2//EN">
Comment 14 Tim Waugh 2001-02-23 09:54:09 EST
No, I think the DTDDECL warnings can be ignored.  They are warnings, not
errors.  They shouldn't be there, but that's a separate bug I think.
Comment 15 David Woodhouse 2001-02-23 09:59:07 EST
OK, let's make that 'xemacs doesn't validate _my_ HTML".

Sanity check - I _am_ allowed <body bgcolor="white"> <h1 align="center"> and <hr
size=2> in HTML 3.2, am I not? I'm convinced that the page at
http://www.linux-mtd.infradead.org/ used to be accepted.
Comment 16 Tim Waugh 2001-02-23 10:08:06 EST
validator.w3.org seems okay with it, once you modify your doctype to the correct
W3C one.
Comment 17 David Woodhouse 2001-02-23 10:12:35 EST
Humour me - what's the correct doctype for HTML 3.2? :)

And does this make xemacs happier too?
Comment 18 Tim Waugh 2001-02-23 10:15:16 EST
"-//W3C//DTD HTML 3.2 Final//EN" is the one advertised on www.w3.org.
Comment 19 Trond Eivind Glomsrxd 2001-02-26 15:04:11 EST
Which is what XEmacs puts there... any ideas on how to solve the validation problem?
Comment 20 Tim Waugh 2001-02-26 16:04:57 EST
I've been asking about this on psgml-user.  Some people say that

export SP_CHARSET_FIXED=YES
export SP_ENCODING=XML

makes it work, but it didn't work when I tried it.  I'm still investigating.
Comment 21 Tim Waugh 2001-02-26 19:04:56 EST
This seems to work find with OpenSP 1.5-devel (from CVS).  Changing component to
openjade.
Comment 22 David Woodhouse 2001-11-04 04:44:11 EST
Refiling against 7.2.

xemacs in 7.2 makes new HTML documents as '~//W3C/DTD HTML 4.01
Transitional//EN' which still fails to validate as above. Changing the document
to indicate HTML 3.2 makes it work, albeit with the DTDDECL warnings mentioned
above.

Changing it to invalid identifiers ('DTD HTML 4.01 Thribble') causes validation
to succeed too - is this the expected behaviour?

Only anything which indicates HTML 4.0x fails.
Comment 23 Tim Waugh 2001-11-04 05:06:42 EST
The issue is that openjade 1.3 doesn't understand which character set to use 
or something.  The openjade in CVS handles this okay, but unfortunately there 
appear to be next to no openjade developers left to fix the remaining bugs and 
coordinate a release. :-(
Comment 24 Bill Nottingham 2006-08-07 13:14:18 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 25 Bill Nottingham 2006-10-18 10:16:49 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.